SELECT
    uri.str AS uri, h.hash, cm.id AS manifest
FROM
    SidxUriSample AS s
    INNER JOIN Str AS uri
    INNER JOIN (Hash AS h LEFT JOIN CudaManifest AS cm ON h.id=cm.id)
ON
    s.uri=uri.id
    AND s.hash=h.id
WHERE
    uri.str LIKE 'https://developer.download.nvidia.com/compute/%.json'
    AND (:include_finished OR cm.id IS NULL)
GROUP BY
    s.hash
ORDER BY uri.str, s.id DESC;
